new-style PLIST, using @sample.

This commit is contained in:
xsa 2004-08-09 18:23:21 +00:00
parent 4dfed69d43
commit 927539c0cb
3 changed files with 16 additions and 135 deletions

View File

@ -1,51 +0,0 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.2 2004/04/14 08:07:15 xsa Exp $
#
# De-installation setup of gentoo
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/gentoorc
# Function: tell the user what they need to do to delete the port completely
#
do_notice()
{
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| these steps as root:"
echo "|"
echo "| rm -f ${CONFIG_FILE}"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
if [ ${PKG_DELETE_EXTRA} != Yes -a -f ${CONFIG_FILE} ]; then
do_notice "$1"
fi
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

View File

@ -1,74 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.1 2002/09/04 04:35:19 pvalchev Exp $
#
# Pre/post-installation setup of gentoo
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/gentoorc
SAMPLE_CONFIG_DIR=$PREFIX/share/gentoo
# Function: tell the user what they need to do to use the port just installed
#
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration files,"
echo "|"
echo "| ${CONFIG_FILE}"
echo "|"
echo "| have NOT been changed. You may want to compare them to the"
echo "| current sample files in ${SAMPLE_CONFIG_DIR}"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
# Function: install configuration files
#
do_install()
{
install -o root -g wheel ${SAMPLE_CONFIG_DIR}/gentoorc ${CONFIG_FILE}
echo
echo "+---------------"
echo "| The $1 configuration files,"
echo "|"
echo "| ${CONFIG_FILE}"
echo "|"
echo "| have been installed. Please view these files and change"
echo "| the configuration to meet your needs."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -f ${CONFIG_FILE} ]; then
do_notice "$1"
else
do_install "$1"
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,11 +1,13 @@
@comment $OpenBSD: PLIST,v 1.4 2004/04/14 08:07:15 xsa Exp $
@comment $OpenBSD: PLIST,v 1.5 2004/08/09 18:23:21 xsa Exp $
bin/gentoo
man/man1/gentoo.1
@man man/man1/gentoo.1
share/doc/gentoo/
share/doc/gentoo/FAQ
share/doc/gentoo/acks.html
share/doc/gentoo/buttons.html
share/doc/gentoo/columns.html
share/doc/gentoo/commands.html
share/doc/gentoo/config/
share/doc/gentoo/config/cfg_dirpane.html
share/doc/gentoo/config/cfg_gui.html
share/doc/gentoo/config/cfg_styles.html
@ -18,6 +20,7 @@ share/doc/gentoo/dirpanes.html
share/doc/gentoo/gentoo.css
share/doc/gentoo/gpl.html
share/doc/gentoo/history.html
share/doc/gentoo/images/
share/doc/gentoo/images/bullet.gif
share/doc/gentoo/images/cfg_dirpane.gif
share/doc/gentoo/images/cfg_gui.gif
@ -61,6 +64,7 @@ share/doc/gentoo/menus.txt
share/doc/gentoo/misc.html
share/doc/gentoo/quick.html
share/doc/gentoo/relnotes.html
share/doc/gentoo/scratch/
share/doc/gentoo/scratch/README
share/doc/gentoo/scratch/command_args.txt
share/doc/gentoo/scratch/command_howto.txt
@ -81,8 +85,11 @@ share/doc/gentoo/template.html
share/doc/gentoo/template_toc.html
share/doc/gentoo/types.html
share/doc/gentoo/usage.html
share/gentoo/
share/gentoo/gentoogtkrc
share/gentoo/gentoorc
@sample ${SYSCONFDIR}/gentoorc
share/gentoo/icons/
share/gentoo/icons/AbiWord.xpm
share/gentoo/icons/Amiga.xpm
share/gentoo/icons/Animation.xpm
@ -206,14 +213,13 @@ share/gentoo/icons/xbm2.xpm
share/gentoo/icons/xcf.xpm
share/gentoo/icons/xpm.xpm
share/gentoo/icons/xpm2.xpm
share/locale/
share/locale/fr/
share/locale/fr/LC_MESSAGES/
share/locale/fr/LC_MESSAGES/gentoo.mo
share/locale/pl/
share/locale/pl/LC_MESSAGES/
share/locale/pl/LC_MESSAGES/gentoo.mo
share/locale/sv/
share/locale/sv/LC_MESSAGES/
share/locale/sv/LC_MESSAGES/gentoo.mo
@dirrm share/gentoo/icons
@dirrm share/gentoo
@dirrm share/doc/gentoo/scratch
@dirrm share/doc/gentoo/images
@dirrm share/doc/gentoo/config
@dirrm share/doc/gentoo
@cwd ${SYSCONFDIR}
@extra gentoorc